= nng_msleep(3supp)
//
// Copyright 2018 Staysail Systems, Inc. <info@staysail.tech>
// Copyright 2018 Capitar IT Group BV <info@capitar.com>
//
// This document is supplied under the terms of the MIT License, a
// copy of which should be located in the distribution where this
// file was obtained (LICENSE.txt).  A copy of the license may also be
// found online at https://opensource.org/licenses/MIT.
//

== NAME

nng_msleep - sleep milliseconds

== SYNOPSIS

[source, c]
----
#include <nng/nng.h>
#include <nng/supplemental/util/platform.h>

void nng_msleep(nng_duration msec);
----

== DESCRIPTION

The `nng_msleep()` blocks the caller for at least _msec_ milliseconds.

NOTE: This function may block for longer than requested.
The actual wait time is determined by the capabilities of the
underlying system.

== RETURN VALUES

None.

== ERRORS

None.

== SEE ALSO

[.text-left]
xref:nng_sleep_aio.3.adoc[nng_sleep_aio(3)],
xref:nng_strerror.3.adoc[nng_strerror(3)],
xref:nng_clock.3supp.adoc[nng_clock(3supp)],
xref:nng_duration.5.adoc[nng_duration(5)],
xref:nng.7.adoc[nng(7)]
